//+------------------------------------------------------------------+
//|                                                           MA.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

//---- input parameters
extern int       Per=0;
int i=0;
extern double    Lot=0.1;
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   double MA1 =iMA(NULL,0,Per,0,MODE_SMA,PRICE_CLOSE,1);
   double MA2 =iMA(NULL,0,Per,0,MODE_SMA,PRICE_CLOSE,2);   

   if (MA2<MA1) 
    { 
    if (OrdersTotal()>0)
     {
     for(i=OrdersTotal()-1; i>=0; i--)
      {
      OrderSelect(i,SELECT_BY_POS ,MODE_TRADES);
      if (OrderType()==OP_SELL) OrderClose(OrderTicket(),OrderLots(),Ask,2,0);
      }
     }
    OrderSend(Symbol(),OP_BUY,Lot,Ask,2,0,0,"",0,0,0);
    }
   if (MA2>MA1) 
   { 
    if (OrdersTotal()>0)
     {
     for(i=OrdersTotal()-1; i>=0; i--)
      {
      OrderSelect(i,SELECT_BY_POS ,MODE_TRADES);
      if (OrderType()==OP_BUY) OrderClose(OrderTicket(),OrderLots(),Bid,2,0);
      }
     }
    OrderSend(Symbol(),OP_SELL,Lot,Bid,2,0,0,"",0,0,0);
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+